Package org.globus.gsi.proxy

# Class ProxyPathValidatorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
org.globus.gsi.proxy.ProxyPathValidatorException

All Implemented Interfaces:
  `Serializable`

public class ProxyPathValidatorException extends GeneralSecurityException
Deprecated.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EXPIRED_CRL`
Deprecated.
`static final int`
`FAILURE`
Deprecated.
`static final int`
`LIMITED_PROXY_ERROR`
Deprecated.
`static final int`
`NO_SIGNING_POLICY`
Deprecated.
`static final int`
`NO_SIGNING_POLICY_FILE`
Deprecated.
`static final int`
`PATH_LENGTH_EXCEEDED`
Deprecated.
`static final int`
`PROXY_VIOLATION`
Deprecated.
`static final int`
`REVOKED`
Deprecated.
`static final int`
`SIGNING_POLICY_VIOLATION`
Deprecated.
`static final int`
`UNKNOWN_CA`
Deprecated.
`static final int`
`UNKNOWN_POLICY`
Deprecated.
`static final int`
`UNSUPPORTED_EXTENSION`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`ProxyPathValidatorException(int errorCode)`
Deprecated.
`ProxyPathValidatorException(int errorCode, String msg, Throwable root)`
Deprecated.
`ProxyPathValidatorException(int errorCode, Throwable root)`
Deprecated.
`ProxyPathValidatorException(int errorCode, X509Certificate cert, String msg)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`X509Certificate`
`getCertificate()`
Deprecated.
Returns the certificate that was being validated when the exception was thrown.
`static String`
`getDateAsString(Date date)`
Deprecated.
`int`
`getErrorCode()`
Deprecated.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### FAILURE

public static final int FAILURE
Deprecated.

See Also:
  - Constant Field Values

### PROXY_VIOLATION

public static final int PROXY_VIOLATION
Deprecated.

See Also:
  - Constant Field Values

### UNSUPPORTED_EXTENSION

public static final int UNSUPPORTED_EXTENSION
Deprecated.

See Also:
  - Constant Field Values

### PATH_LENGTH_EXCEEDED

public static final int PATH_LENGTH_EXCEEDED
Deprecated.

See Also:
  - Constant Field Values

### UNKNOWN_CA

public static final int UNKNOWN_CA
Deprecated.

See Also:
  - Constant Field Values

### UNKNOWN_POLICY

public static final int UNKNOWN_POLICY
Deprecated.

See Also:
  - Constant Field Values

### REVOKED

public static final int REVOKED
Deprecated.

See Also:
  - Constant Field Values

### LIMITED_PROXY_ERROR

public static final int LIMITED_PROXY_ERROR
Deprecated.

See Also:
  - Constant Field Values

### EXPIRED_CRL

public static final int EXPIRED_CRL
Deprecated.

See Also:
  - Constant Field Values

### NO_SIGNING_POLICY_FILE

public static final int NO_SIGNING_POLICY_FILE
Deprecated.

See Also:
  - Constant Field Values

### NO_SIGNING_POLICY

public static final int NO_SIGNING_POLICY
Deprecated.

See Also:
  - Constant Field Values

### SIGNING_POLICY_VIOLATION

public static final int SIGNING_POLICY_VIOLATION
Deprecated.

See Also:
  - Constant Field Values

## Constructor Details

### ProxyPathValidatorException

public ProxyPathValidatorException(int errorCode)
Deprecated.

### ProxyPathValidatorException

public ProxyPathValidatorException(int errorCode, Throwable root)
Deprecated.

### ProxyPathValidatorException

public ProxyPathValidatorException(int errorCode, String msg, Throwable root)
Deprecated.

### ProxyPathValidatorException

public ProxyPathValidatorException(int errorCode, X509Certificate cert, String msg)
Deprecated.

## Method Details

### getErrorCode

public int getErrorCode()
Deprecated.

### getCertificate

public X509Certificate getCertificate()
Deprecated.
Returns the certificate that was being validated when the exception was thrown.

Returns:
  the `Certificate` that was being validated when the exception was thrown (or `null` if not specified)

### getDateAsString

public static String getDateAsString(Date date)
Deprecated.